Package org.jfree.layouting

## Interface StatefullComponent

- All Known Subinterfaces:
    `ContentGenerator`, `InputFeed`, `ModelBuilder`, `Normalizer`, `RenderableTextFactory`, `Renderer`, `StyleResolver`
  All Known Implementing Classes:
    `AbstractRenderer`, `AbstractStyleResolver`, `ChainingNormalizer`, `ChainingRenderer`, `ContentNormalizer`, `DefaultContentGenerator`, `DefaultInputFeed`, `DefaultRenderableTextFactory`, `DefaultStyleResolver`, `EmptyContentGenerator`, `EmptyModelBuilder`, `FastDisplayModelBuilder`, `FlatStyleResolver`, `PaginatingRenderer`, `PrintContentGenerator`, `PrintingRenderer`, `PrototypeBuildingRenderer`, `RecordingContentNormalizer`, `RenderPageContext`, `StreamingRenderer`

      public interface StatefullComponent

  A statefull component creates and consumes State-objects. Instances of the same type must accept state objects of each other - there should be no hidden binding between the state objects and their original source.
  Author:
    Thomas Morgner
  See Also:
    `State`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `State` | `saveState​()` |

- - ### Method Detail

    - #### saveState

          State saveState​()
                   throws StateException

      Throws:
        `StateException`